Bug 1272388 - [Doc Tracker bug] Install/upgrade procedures for RHCS 1.3.1 for RHEL 7.1
[Doc Tracker bug] Install/upgrade procedures for RHCS 1.3.1 for RHEL 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 1.3.1
Assigned To: ceph-docs@redhat.com
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 06:17 EDT by Anjana Suparna Sriram
Modified: 2015-12-18 05:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 05:00:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2015-10-16 06:17:11 EDT
Additional info: Tracker bug aims to capture all the changes made to the install/upgrade procedure for RHCS 1.3.1 for RHEL 7
Comment 2 Nilamdyuti 2015-10-16 08:24:21 EDT
Doc link that was given to QE: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/tree/v1.3

Currently QE is testing the procedure.
Comment 3 Hemanth Kumar 2015-11-03 07:29:48 EST
Hi Nilam,

Here is the list.. 


Changes required in RHEL 1.3.1 doc
Installation:
--------------
calamari.adoc :-
---------------
- "Notes for Update After RHEL 6 to RHEL 7 Upgrade"
  I think this section should be moved to Upgrade Guide. Currently it is in Install Guide.

quick-ceph-deploy.adoc :-
-----------------------
- Remove step "ceph-deploy install --cli admin-node" from Install Ceph (CDN),as the step is mentioned again in "Make your Calamari Admin Node a Ceph Admin Node"

red-hat-ceph-storage-upgrade.adoc :-
---------------------------------
Upgrading v1.2.3 to v1.3.1 for CDN-based Installations
------------------------------------------------------
- Add step to remove cephdeploy.conf from ceph-config directory and .cephdeploy.conf from home directory

- Add step to remove cephdeploy.repo, ceph.repo and calamari-server.repo on Admin Node 

- Add step to remove ceph.repo and calamari-minion.repo on MON and OSD Nodes and RGW Node

- Step to upgrade Calamari.,
Upgrade Calamari: sudo yum install calamari-server calamari-clients

- Add steps to "Upgrade Ceph on Admin Node"
ceph-deploy install --cli  <admin-node>
sudo yum update 
sudo /etc/init.d/ceph restart

Monitor Nodes & OSD Nodes:-
 - "sudo yum update" command should be moved after "ceph-deploy install --mon/--osd <HOST>"
 - Calamari Connect command to be added

RGW Node :
 - "sudo yum update" command should be moved after "ceph-deploy install --rgw 
<HOST>"

Upgrading v1.2.3 to v1.3.1 for ISO-based Installations
-------------------------------------------------------
- Add step to remove cephdeploy.conf from ceph-config directory and .cephdeploy.conf from home directory --[Though ice_setup recreates them when using ISO based upgrades I still feel that it should be cleaned up] - Can you Add them in Ubuntu doc also.

- Add steps to "Upgrade Ceph on Admin Node"
ceph-deploy install --cli  <admin-node>
sudo yum update 
sudo /etc/init.d/ceph restart


Upgrading v1.3.0 to v1.3.1 for CDN-based Installations
------------------------------------------------------
Admin Node: 
Can you re-arrange the steps in following order

sudo yum install ceph-deploy
sudo yum install calamari-server calamari-clients
sudo yum update
sudo calamari-ctl initialize
sudo salt '*' state.highstate

- Add steps to "Upgrade Ceph on Admin Node"
ceph-deploy install --cli  <admin-node>
sudo yum update 
sudo /etc/init.d/ceph restart

MON, OSD and RGW Nodes:
- "sudo yum update" command should be moved after "ceph-deploy install --mon/--osd/--rgw <HOST>"

- Calamari Connect command to be added

Upgrading v1.3.0 to v1.3.1 for ISO-based Installations
------------------------------------------------------

a. Admin Node
Remove existing Ceph repositories:
sudo rm -rf Calamari.repo, Installer.repo and Tools.repo


- Add steps to "Upgrade Ceph on Admin Node"
ceph-deploy install --cli  <admin-node>
sudo yum update 
sudo /etc/init.d/ceph restart
 
b. Monitor Node
Remove step "sudo rm /etc/yum.repos.d/calamari-minion.repo /etc/yum.repos.d/ceph.repo" and add  "sudo rm -rf ceph-mon.repo"
Similarly for OSD also., change it to "sudo rm -rf ceph-osd.repo"

-----------
I also compared Ubuntu doc for the procedures. If I have missed something or If I'am wrong, let me know so that I can have a look at it again and clarify if needed.
Comment 4 Nilamdyuti 2015-11-05 14:53:13 EST
(In reply to Hemanth Kumar from comment #3)
> Hi Nilam,
> 
> Here is the list.. 
> 
> 
> Changes required in RHEL 1.3.1 doc
> Installation:
> --------------
> calamari.adoc :-
> ---------------
> - "Notes for Update After RHEL 6 to RHEL 7 Upgrade"
>   I think this section should be moved to Upgrade Guide. Currently it is in
> Install Guide.

Need to discuss before moving it.

> 
> quick-ceph-deploy.adoc :-
> -----------------------
> - Remove step "ceph-deploy install --cli admin-node" from Install Ceph
> (CDN),as the step is mentioned again in "Make your Calamari Admin Node a
> Ceph Admin Node"
> 

Done.


> red-hat-ceph-storage-upgrade.adoc :-
> ---------------------------------
> Upgrading v1.2.3 to v1.3.1 for CDN-based Installations
> ------------------------------------------------------
> - Add step to remove cephdeploy.conf from ceph-config directory and
> .cephdeploy.conf from home directory
> 
> - Add step to remove cephdeploy.repo, ceph.repo and calamari-server.repo on
> Admin Node 
> 
> - Add step to remove ceph.repo and calamari-minion.repo on MON and OSD Nodes
> and RGW Node

It is not required as 1.2.3 was both CDN and ISO based install like 1.3. This is CDN based upgrade from 1.2.3 CDN based install to 1.3. It won't have these files as these files are created by ice_setup in ISO based install.

> 
> - Step to upgrade Calamari.,
> Upgrade Calamari: sudo yum install calamari-server calamari-clients

Done.

> 
> - Add steps to "Upgrade Ceph on Admin Node"
> ceph-deploy install --cli  <admin-node>
> sudo yum update 
> sudo /etc/init.d/ceph restart

Done.

> 
> Monitor Nodes & OSD Nodes:-
>  - "sudo yum update" command should be moved after "ceph-deploy install
> --mon/--osd <HOST>"
>  - Calamari Connect command to be added

Done.

> 
> RGW Node :
>  - "sudo yum update" command should be moved after "ceph-deploy install
> --rgw 
> <HOST>"

Done.

> 
> Upgrading v1.2.3 to v1.3.1 for ISO-based Installations
> -------------------------------------------------------
> - Add step to remove cephdeploy.conf from ceph-config directory and
> .cephdeploy.conf from home directory --[Though ice_setup recreates them when
> using ISO based upgrades I still feel that it should be cleaned up] - Can
> you Add them in Ubuntu doc also.

Done. Done in Ubuntu too. Mentioned in the Ubuntu tracker bug.

> 
> - Add steps to "Upgrade Ceph on Admin Node"
> ceph-deploy install --cli  <admin-node>
> sudo yum update 
> sudo /etc/init.d/ceph restart
> 

Done.

> 
> Upgrading v1.3.0 to v1.3.1 for CDN-based Installations
> ------------------------------------------------------
> Admin Node: 
> Can you re-arrange the steps in following order
> 
> sudo yum install ceph-deploy
> sudo yum install calamari-server calamari-clients
> sudo yum update
> sudo calamari-ctl initialize
> sudo salt '*' state.highstate

Done.

> 
> - Add steps to "Upgrade Ceph on Admin Node"
> ceph-deploy install --cli  <admin-node>
> sudo yum update 
> sudo /etc/init.d/ceph restart

Done.

> 
> MON, OSD and RGW Nodes:
> - "sudo yum update" command should be moved after "ceph-deploy install
> --mon/--osd/--rgw <HOST>"
> 

Done.

> - Calamari Connect command to be added

Done.

> 
> Upgrading v1.3.0 to v1.3.1 for ISO-based Installations
> ------------------------------------------------------
> 
> a. Admin Node
> Remove existing Ceph repositories:
> sudo rm -rf Calamari.repo, Installer.repo and Tools.repo
> 
>

Done.

> - Add steps to "Upgrade Ceph on Admin Node"
> ceph-deploy install --cli  <admin-node>
> sudo yum update 
> sudo /etc/init.d/ceph restart

Done.

>  
> b. Monitor Node
> Remove step "sudo rm /etc/yum.repos.d/calamari-minion.repo
> /etc/yum.repos.d/ceph.repo" and add  "sudo rm -rf ceph-mon.repo"
> Similarly for OSD also., change it to "sudo rm -rf ceph-osd.repo"
> 

Done.


> -----------
> I also compared Ubuntu doc for the procedures. If I have missed something or
> If I'am wrong, let me know so that I can have a look at it again and clarify
> if needed.

Change for Storage Cluster Quick Start Guide has been made in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/5689dfb78e7c07b15ae2b442c298ac314f591622

See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.3/quick-ceph-deploy.adoc

All the changes for upgrade guide have been made in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/d4424204e2c9d9630abd3f382b7bac9e452dcc9a

See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.3/red-hat-ceph-storage-upgrade.adoc

I would discuss on the need to move "Notes for Update After RHEL 6 to RHEL 7 Upgrade" from Install Guide to Upgrade Guide and make the changes accordingly soon.

Since, apart from this all other changes are made, I am moving this bug to ON_QA, so that you can verify the changes. I will make the remaining one change soon.
Comment 5 Nilamdyuti 2015-11-06 08:38:21 EST
Discussed with Hemanth about the need to move the section "Notes for Update After RHEL 6 to RHEL 7 Upgrade" from Install Guide to Upgrade Guide.

We decided to keep it in install guide and add link to this section in the upgrade guide too, in case anyone is upgrading from 1.2.3 to 1.3.1 after an OS upgrade from RHEL 6 to RHEL 7.

Fixed in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/9562db6732a0cfebc0176c9b2416b2866b6b09a5

See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.3/red-hat-ceph-storage-upgrade.adoc

With this, all the requested doc changes have been done.
Comment 6 rakesh 2015-11-18 00:51:07 EST
Hi Nilam, 

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-object-gateway-rhel/blob/v1.3/installation.adoc


referring to the above doc for the installlation of RGW. 

You have mentioned to "modify the ceph config file from the working directory" (while changing the port no to 80) push it to all the nodes, if by doing this, we wont have the modified version of ceph config file in admin (/etc/ceph). 

I think we need to pull and push. I tried this and it worked. correct me if i am wrong. 

Edit the config file in admin node (/etc/ceph/ceph.conf), then 

ceph-deploy --overwrite-conf config pull <admin node> 

ceph-deploy --overwrite-conf config push <all nodes>
Comment 7 shilpa 2015-11-18 05:49:50 EST
The upgrade procedure for calamari on admin node may change.. Refer to https://bugzilla.redhat.com/show_bug.cgi?id=1230679 

Keeping this bug open until I can confirm the correct procedure to upgrade calamari.
Comment 8 Nilamdyuti 2015-11-18 06:06:10 EST
(In reply to rakesh from comment #6)
> Hi Nilam, 
> 
> https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-object-gateway-
> rhel/blob/v1.3/installation.adoc
> 
> 
> referring to the above doc for the installlation of RGW. 
> 
> You have mentioned to "modify the ceph config file from the working
> directory" (while changing the port no to 80) push it to all the nodes, if
> by doing this, we wont have the modified version of ceph config file in
> admin (/etc/ceph). 
> 
> I think we need to pull and push. I tried this and it worked. correct me if
> i am wrong. 
> 
> Edit the config file in admin node (/etc/ceph/ceph.conf), then 
> 
> ceph-deploy --overwrite-conf config pull <admin node> 
> 
> ceph-deploy --overwrite-conf config push <all nodes>

Hi Rakesh,

Yes, so we need to modify the '/etc/ceph/ceph.conf' in admin node, apply the changes to 'ceph.conf' in working directory of admin node with the command:

ceph-deploy --overwrite-conf config pull <admin node>

This will pull the updated '/etc/ceph/ceph.conf' file in admin node and overwrite the 'ceph.conf' file in working directory of admin node with the changes.

Then,

ceph-deploy --overwrite-conf config push [<gateway-node> ...] [<other-nodes>]

will push the updated 'ceph.conf' file from working directory of admin node to the gateway node and other Ceph nodes in the cluster.

I have clarified the steps in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-object-gateway-rhel/commit/b8912b082710cd79478c28a593b91a839333339b

See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-object-gateway-rhel/blob/v1.3/installation.adoc#change-the-default-port

Let me know if the change looks good to you.
Comment 9 rakesh 2015-11-18 06:13:30 EST
The change looks fine. thanks Nilam.
Comment 10 Harish NV Rao 2015-11-19 14:52:47 EST
Shilpa's comment 7 needs to be incorporated. Actual doc contents are in 1230679.
Moving this defect to assigned state.

Doc, please consider incorporating doc contents from 1230679 into the doc.
Comment 12 Nilamdyuti 2015-11-20 12:33:42 EST
As doc contents from bug 1230679 were already added in Known Issues in Release Notes 1.3.1, added a link to that section in start of "Upgrading v1.2.3 to v1.3.1" in 1.3.1 upgrade guide. This way, it will be applicable for both ISO and CDN and customers will see the yum upgrade issues and fix them before hitting them.

Fixed in the following commit:

https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/commit/95e469eba121c2c4d7b0d5df7efce3127b252631

See: https://gitlab.cee.redhat.com/jowilkin/red-hat-ceph-storage-installation-guide-rhel/blob/v1.3/red-hat-ceph-storage-upgrade.adoc
Comment 13 Nilamdyuti 2015-11-20 12:38:05 EST
Also, please note that I have used the final url for Release Notes 1.3.1 that hasn't been build yet. So, the "Known Issues" link mentioned in the commit in comment 12 will work once the Release Notes 1.3.1 is pushed to production.
Comment 14 shilpa 2015-11-20 13:20:08 EST
Looks good. Moving the BZ to verified.
Comment 15 Anjana Suparna Sriram 2015-12-18 05:00:00 EST
Fixed for 1.3.1 Release.

Note You need to log in before you can comment on or make changes to this bug.